https://hub.docker.com//v2/namespaces/{namespace}/delete-imagesDeletes one or more images within a namespace. This is currently limited to a single repository. If you attempt to delete images that are marked as active or are currently tagged, the deletion does not happen and it displays the warnings. To continue with the deletion, you must ignore these warnings by putting them in the `ignore_warnings` property. Deleting a currently tagged image deletes the tag from the repository. You cannot ignore errors. It is not possible to directly delete children of multi-arch images.
Namespace of the repository.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://hub.docker.com//v2/namespaces/{namespace}/delete-images' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://hub.docker.com//v2/namespaces/{namespace}/delete-imagesDeletes one or more images within a namespace. This is currently limited to a single repository. If you attempt to delete images that are marked as active or are currently tagged, the deletion does not happen and it displays the warnings. To continue with the deletion, you must ignore these warnings by putting them in the `ignore_warnings` property. Deleting a currently tagged image deletes the tag from the repository. You cannot ignore errors. It is not possible to directly delete children of multi-arch images.
Namespace of the repository.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request POST \2 --url 'https://hub.docker.com//v2/namespaces/{namespace}/delete-images' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}